org.jboss.jca.common.annotations.repository.jandex

## Class AnnotationRepositoryImpl

- java.lang.Object
- - org.jboss.jca.common.annotations.repository.jandex.AnnotationRepositoryImpl

- All Implemented Interfaces:
    org.jboss.jca.common.spi.annotations.repository.AnnotationRepository

      public class AnnotationRepositoryImpl
      extends java.lang.Object
      implements org.jboss.jca.common.spi.annotations.repository.AnnotationRepository

  An AnnotationRepositoryImpl.
  Author:
    Stefano Maestri, Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationRepositoryImpl(org.jboss.jandex.Index backingRepository, java.lang.ClassLoader cl)` Create a new AnnotationRepositoryImpl using a Jandex backend

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<org.jboss.jca.common.spi.annotations.repository.Annotation>` | `getAnnotation(java.lang.Class<?> annotationClass)` Return a collection of annotation of given type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationRepositoryImpl

          public AnnotationRepositoryImpl(org.jboss.jandex.Index backingRepository,
                                          java.lang.ClassLoader cl)

      Create a new AnnotationRepositoryImpl using a Jandex backend
      Parameters:
        `backingRepository` - The repository
        `cl` - The class loader

  - ### Method Detail

    - #### getAnnotation

          public java.util.Collection<org.jboss.jca.common.spi.annotations.repository.Annotation> getAnnotation(java.lang.Class<?> annotationClass)

      Return a collection of annotation of given type. In case no annotation has been found it return null.
      Specified by:
        `getAnnotation` in interface `org.jboss.jca.common.spi.annotations.repository.AnnotationRepository`
      Parameters:
        `annotationClass` - the type of annotation looking for.
      Returns:
        a collection of annotations founded. Null in case of no one has been founded.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)